# ClanLib

ClanLib is a cross platform toolkit library with a primary focus on game creation. The library is Open Source and free for commercial use, under the [ClanLib License][license]

# Documentation
The documentation can be found in Documentation folder.
To view the complete official documentation, including the API you may use doxygen to build it. On Linux, type 'make docs' after running configure. On Windows, point doxygen to clanlib.doxygen in the Documentation folder.

# Feature List
    - Very liberal zlib style [License][license]
    - Fully Supports Windows, Mac OS X and Linux
    - Partial support for mobile platforms
    - OpenGL and Direct3D render targets
    - High-performant shader based render architecture
    - High level 2D graphics with fonts, sprites and animations
    - Network library with game interfaces
    - Sound supporting wav and ogg-vorbis
    - UI supporting Flexbox positioning and CSS layouts
    - Basic cross platform runtime (threading, file I/O, XML/DOM, etc.)
    - Template based signal library (type-safe callbacks)
    - Integrated resource management
    - No support libraries required for the Microsoft build

   [license]: <https://github.com/sphair/ClanLib/blob/master/COPYING>
